cloudstack-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Soeren Malchow <soeren.malc...@mcon.net>
Subject Upgrade 4.4.0 to 4.4.1
Date Sun, 23 Nov 2014 10:11:20 GMT
Dear all,

i found the following:

When upgrading from 4.4.0 (clean install, no upgrade) to 4.4.1 I encounter this error

SEVERE: Exception sending context initialized event to listener instance of class org.apache.cloudstack.spring.module.web.CloudStackContextLoaderListener
com.cloud.utils.exception.CloudRuntimeException: DB Exception on: com.mysql.jdbc.JDBC4PreparedStatement@37842873:
SELECT snapshot_policy.id, snapshot_policy.volume_id, snapshot_policy.schedule, snapshot_policy.timezone,
snapshot_policy.interval, snapshot_policy.max_snaps, snapshot_policy.active, snapshot_policy.uuid,
snapshot_policy.display FROM snapshot_policy

when checking the database, the column "snapshot_policy.display" does not exist.

When checking the database upgrade files I can find an alter statement in "schema-430to440.sql"
that is

ALTER TABLE `cloud`.`snapshot_policy` ADD COLUMN `display` tinyint(1) NOT NULL DEFAULT '1'
COMMENT 'True if the policy can be displayed to the end user';

If I execute this manually, the upgrade works

Regards
Soeren

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message